# use_iris_ell_model.py
# Python 3.6

import numpy as np
import tutorial_helpers  # to find package
import iris_cntk as m    # the ELL module/package

print("\nBegin use ELL model demo \n")

unknown = np.array([[6.1, 3.1, 5.1, 1.1]],
  dtype=np.float32)

np.set_printoptions(precision=4, suppress=True)
print("Input to ELL model: ")
print(unknown)

predicted = m.predict(unknown)

print("\nPrediction probabilities: ")
print(predicted)

print("\nEnd ELL demo \n")
